﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FieldLayoutInits
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            List<SalesDelivery> datasource = new List<SalesDelivery>();
            datasource.Add(new SalesDelivery { Pakbonnr = "SD160005", Lines = new List<SalesDeliveryLine>() });
            datasource.Add(new SalesDelivery { Pakbonnr = "SD160006", Lines = new List<SalesDeliveryLine>() });

            datasource[0].Lines.Add(new SalesDeliveryLine { Rgl = 10, Omschrijiving = "Sticker RAL 2009" });
            datasource[0].Lines.Add(new SalesDeliveryLine { Rgl = 20, Omschrijiving = "Beplakken reclame bord" });
            datasource[0].Lines.Add(new SalesDeliveryLine { Rgl = 30, Omschrijiving = "Geef omschrijiving in" });

            datasource[1].Lines.Add(new SalesDeliveryLine { Rgl = 10, Omschrijiving = "Sticker RAL 2009" });
            datasource[1].Lines.Add(new SalesDeliveryLine { Rgl = 20, Omschrijiving = "Beplakken reclame bord" });
            datasource[1].Lines.Add(new SalesDeliveryLine { Rgl = 30, Omschrijiving = "Geef omschrijiving in" });

            DataContext = datasource;

            datagrid.FieldLayoutInitialized += Datagrid_FieldLayoutInitialized;
        }

        private void Datagrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            //foreach (Field field in e.FieldLayout.Fields)
            //{
            //    field.Visibility = Visibility.Collapsed;
            //    field.Settings.AllowHiding = AllowFieldHiding.Never;
            //}

            //InitFields(e.FieldLayout);
        }

        public void InitFields(FieldLayout layout)
        {
            // not sure what happens in here.
        }
    }

    // parent class
    public class SalesDelivery
    {
        public string Pakbonnr { get; set; }
        public string Referentie { get; set; }
        public List<SalesDeliveryLine> Lines { get; set; }
    }

    // child class
    public class SalesDeliveryLine
    {
        public double Rgl { get; set; }
        public string Omschrijiving { get; set; }
    }
}
